# pytrello2
[![CI Python](https://github.com/vchrombie/pytrello2/actions/workflows/ci-python.yml/badge.svg?branch=master)](https://github.com/vchrombie/pytrello2/actions/workflows/ci-python.yml)

Python wrapper for the Trello API

## Getting started

1. Clone your new repository to your local machine.
    ```bash
    git clone https://github.com/vchrombie/pytrello2
    ```
2. Install the required dependencies using Poetry.
    ```bash
    poetry install
    ```
3. Activate the virtual environment using Poetry.
    ```bash
    poetry shell
    ```
4. Run static analysis using flake8.
    ```bash
    flake8
    ```
5. Run code formatting using black.
    ```bash
    black .
    ```
6. Run tests using pytest.
    ```bash
    pytest
    ```

## License

This project is licensed under the MIT License - see the [LICENSE](./LICENSE) file for details.
